#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 haskell-lsp-types
version:              0.22.0.0
visibility:           public
id:                   haskell-lsp-types-0.22.0.0-5N7j0qbZLxy1aJmF8fmP59
key:                  haskell-lsp-types-0.22.0.0-5N7j0qbZLxy1aJmF8fmP59
license:              MIT
copyright:            Alan Zimmerman, 2016-2020
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/haskell-lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  5d96625aa2070e5e6b73d22e3f53df4d
exposed:              True
exposed-modules:
    Language.Haskell.LSP.Types Language.Haskell.LSP.Types.Capabilities
    Language.Haskell.LSP.Types.Constants
    Language.Haskell.LSP.Types.Lens
    Language.Haskell.LSP.Types.MessageFuncs
    Language.Haskell.LSP.Types.Utils

hidden-modules:
    Language.Haskell.LSP.Types.ClientCapabilities
    Language.Haskell.LSP.Types.CodeAction
    Language.Haskell.LSP.Types.Color Language.Haskell.LSP.Types.Command
    Language.Haskell.LSP.Types.Completion
    Language.Haskell.LSP.Types.DataTypesJSON
    Language.Haskell.LSP.Types.Diagnostic
    Language.Haskell.LSP.Types.DocumentFilter
    Language.Haskell.LSP.Types.FoldingRange
    Language.Haskell.LSP.Types.Hover Language.Haskell.LSP.Types.List
    Language.Haskell.LSP.Types.Location
    Language.Haskell.LSP.Types.MarkupContent
    Language.Haskell.LSP.Types.Message
    Language.Haskell.LSP.Types.Progress
    Language.Haskell.LSP.Types.Symbol
    Language.Haskell.LSP.Types.TextDocument
    Language.Haskell.LSP.Types.Uri Language.Haskell.LSP.Types.Window
    Language.Haskell.LSP.Types.WorkspaceEdit
    Language.Haskell.LSP.Types.WorkspaceFolders

import-dirs:          /usr/lib/ghc-8.10.2/site-local/haskell-lsp-types-0.22.0.0
library-dirs:         /usr/lib/ghc-8.10.2/site-local/haskell-lsp-types-0.22.0.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/haskell-lsp-types-0.22.0.0

hs-libraries:         HShaskell-lsp-types-0.22.0.0-5N7j0qbZLxy1aJmF8fmP59
depends:
    aeson-1.5.4.0-EKD5HdaQvhNEWBNwoih2VS base-4.14.1.0 binary-0.8.8.0
    bytestring-0.10.10.0 data-default-0.7.1.1-9iPJFZINVPPLG8w8MXu8C6
    deepseq-1.4.4.0 filepath-1.4.2.1
    hashable-1.3.0.0-IhQ3DGT3Mv7KNucUf0KrvO
    lens-4.19.2-EE9F53uhWzO6JZIyWUHcZW
    network-uri-2.6.3.0-7xtb4kZ49Tj2zhAfrjyzOj
    scientific-0.3.6.2-7eFS4S3mXIcI1VNk1i1V3a text-1.2.3.2
    unordered-containers-0.2.12.0-L7e0ebfosZDK7txbADKTIQ

haddock-interfaces:
    /usr/share/doc/haskell-lsp-types/html/haskell-lsp-types.haddock

haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

